<?php

require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/header.php');

$act = (isset($_GET['act'])) ? check($_GET['act']) : 'index';
$start = (isset($_GET['start'])) ? abs(intval($_GET['start'])) : 0;

if(is_user()) {
	switch($act):
	
#############################################################
##                    Главная   страница                   ##
#############################################################
		case 'index':
			$mode = isset($_GET['mode']) ? check($_GET['mode']) : 'index';
			$uz = empty($_GET['uz']) ? check($log) : check(strval($_GET['uz']));

	      	$datauser = DB::run()->querySingle("SELECT `users_id` FROM `users` WHERE `users_login`=? LIMIT 1;", array($uz));
		  
	      	if(!empty($datauser)) {
	        	show_title(($uz == $log) ? 'Мои друзья' : 'Друзья пользователя '.nickname($uz));
	        	$config['newtitle'] = (($uz == $log) ? 'Мои друзья' : 'Друзья пользователя '.nickname($uz));
			
	        	$total_index = DB::run()->querySingle("SELECT count(*) FROM `contact` WHERE `contact_user`=?;", array($uz));
	        	$total_best = DB::run()->querySingle("SELECT count(*) FROM `contact` WHERE `contact_user`=? AND `contact_level`=?;", array($uz, 2));
	        	$total_family = DB::run()->querySingle("SELECT count(*) FROM `contact` WHERE `contact_user`=? AND `contact_level`IN (6, 8, 9);", array($uz));
	        	$total_classmates = DB::run()->querySingle("SELECT count(*) FROM `contact` WHERE `contact_user`=? AND `contact_level`=?;", array($uz, 3));
	        	$total_bandmates = DB::run()->querySingle("SELECT count(*) FROM `contact` WHERE `contact_user`=? AND `contact_level`=?;", array($uz, 4));
	        	$total_colleagues = DB::run()->querySingle("SELECT count(*) FROM `contact` WHERE `contact_user`=? AND `contact_level`=?;", array($uz, 5));
	        	if ($uz == $log && $udata['users_newcontact'] > 0) {
			    	echo '<div class="note">К вам в друзья хотят добавиться '.$udata['users_newcontact'].' пользователей.</div>';
					DB :: run() -> query("UPDATE `users` SET `users_newcontact`=? WHERE `users_login`=? LIMIT 1", array(0, $log));
				}
				if($mode == 'index') {
	          		$total = $total_index;
	          		echo 'Все ('.$total_index.') | ';
	        	} else {
	          		echo '<a href="contact.php?uz='.$uz.'&amp;act=index&amp;mode=index">Все</a> ('.$total_index.') | ';
	        	}
	        	if($mode == 'best') {
	          		$total = $total_best;
	          		echo 'Лучшие ('.$total_best.') | ';
	        	} else {
	          		echo '<a href="contact.php?uz='.$uz.'&amp;act=index&amp;mode=best">Лучшие</a> ('.$total_best.') | ';
	        	}
	        	if($mode == 'family') {
	         		$total = $total_family;
	          		echo 'Семья ('.$total_family.') | ';
	        	} else {
	          		echo '<a href="contact.php?uz='.$uz.'&amp;act=index&amp;mode=family">Семья</a> ('.$total_family.') | ';
	        	}
	        	if($mode == 'classmates') {
	         		$total = $total_classmates;
	          		echo 'Одноклассники ('.$total_classmates.') | ';
	        	} else {
	          		echo '<a href="contact.php?uz='.$uz.'&amp;act=index&amp;mode=classmates">Одноклассники</a> ('.$total_classmates.') | ';
	        	}
	        	if($mode == 'bandmates') {
	          		$total = $total_bandmates;
	          		echo 'Однокурсники ('.$total_bandmates.') | ';
	        	} else {
	          		echo '<a href="contact.php?uz='.$uz.'&amp;act=index&amp;mode=bandmates">Однокурсники</a> ('.$total_bandmates.') | ';
	        	}
	        	if($mode == 'colleagues') {
	          		$total = $total_colleagues;
	          		echo 'Коллеги ('.$total_colleagues.')<br />';
	        	} else {
	          		echo '<a href="contact.php?uz='.$uz.'&amp;act=index&amp;mode=colleagues">Коллеги</a> ('.$total_colleagues.')<br />';
	        	}
				
				echo '<hr />';
				
	        	if($total > 0) {
	          		if($start >= $total) {
	            		$start = 0;
	          		}

	          		if($mode == 'index') {
	            		$querycontact = DB::run()->query("SELECT * FROM `contact` WHERE `contact_user`=? ORDER BY `contact_time` DESC LIMIT ".$start.", ".$config['contactlist'].";",array($uz));
	          		} elseif($mode == 'best') {
	            		$querycontact = DB::run()->query("SELECT * FROM `contact` WHERE `contact_user`=? AND `contact_level`=? ORDER BY `contact_time` DESC LIMIT ".$start.", ".$config['contactlist'].";",array($uz, 2));
	          		} elseif($mode == 'family') {
	            		$querycontact = DB::run()->query("SELECT * FROM `contact` WHERE `contact_user`=? AND `contact_level` IN (6, 8, 9) ORDER BY `contact_time` DESC LIMIT ".$start.", ".$config['contactlist'].";",array($uz));
	          		} elseif($mode == 'classmates') {
	            		$querycontact = DB::run()->query("SELECT * FROM `contact` WHERE `contact_user`=? AND `contact_level`=? ORDER BY `contact_time` DESC LIMIT ".$start.", ".$config['contactlist'].";",array($uz, 3));
	          		} elseif($mode == 'bandmates') {
	            		$querycontact = DB::run()->query("SELECT * FROM `contact` WHERE `contact_user`=? AND `contact_level`=? ORDER BY `contact_time` DESC LIMIT ".$start.", ".$config['contactlist'].";",array($uz, 4));
	          		} elseif($mode == 'colleagues') {
	            		$querycontact = DB::run()->query("SELECT * FROM `contact` WHERE `contact_user`=? AND `contact_level`=? ORDER BY `contact_time` DESC LIMIT ".$start.", ".$config['contactlist'].";",array($uz, 5));
	          		}
	          		if($log == $uz) {
	            		echo '<form action="contact.php?act=del&amp;start='.$start.'&amp;uid='.$_SESSION['token'].'" method="post">';
	          		}
	          		while($data = $querycontact->fetch()) {
	            		echo '<div class="b"><div class="img">'.user_avatars($data['contact_name']).'</div><b><a href="user.php?uz='.$data['contact_name'].'">'.nickname($data['contact_name']).'</a></b> <small>('.user_levelfrend($data['contact_name'], $data['contact_level']).')</small> '.user_online($data['contact_name']).'<br />'.user_title($data['contact_name']).'<br /><small>Подружились: '.date_fixed($data['contact_time']).'</small></div>';
	            		if($log == $uz) {
					if (!empty($data['contact_text'])) {
						echo 'Заметка: '.$data['contact_text'].'<br />';
					}
	              			echo '<input type="checkbox" name="del[]" value="'.$data['contact_id'].'" /> ';
					echo '<a href="/pages/contact.php?act=note&amp;id='.$data['contact_id'].'">Заметка</a> | ';
	           			}
	            		echo '<a href="private.php?act=submit&amp;uz='.$data['contact_name'].'">Написать</a> | ';
	            		echo '<a href="/pages/perevod.php?uz='.$data['contact_name'].'">Перевод</a><br />';
	          		}

	          		if($log == $uz) {
	           			echo '<br /><input type="submit" value="Удалить выбранное" /></form><br />';
	          		}
					
	          		page_strnavigation('contact.php?uz='.$uz.'&amp;', $config['contactlist'], $start, $total);
					
	        	} else {
	          		show_error('Список друзей пуст!');
	        	}
	        	if($log == $uz) {
					echo '<br /><div class="form"><form method="post" action="contact.php?act=add&amp;start='.$start.'&amp;uid='.$_SESSION['token'].'">';
					echo '<b>Логин или ник пользователя:</b><br /><input name="uz" />';
					echo '<input value="Добавить" type="submit" /></form></div><br />';
	          		if($total > 0) {
	            		echo '<img src="/images/img/error.gif" alt="image" /> <a href="contact.php?act=clear&amp;uid='.$_SESSION['token'].'">Очистить список своих друзей</a><br />';
	          		}
	          		echo '<img src="/images/img/reload.gif" alt="image" /> <a href="contact.php?act=bids">Заявки/Предложения</a><br />';
	        	}
	      	} else {
	        	show_error('Ошибка! Пользователя с данным логином не существует!');
	      	}
			
		break;
#############################################################
##                        Добавление                       ##
#############################################################
	    case 'add':
			$uid = check($_GET['uid']);
			if (isset($_POST['uz'])) {
				$uz = check($_POST['uz']);
			} elseif (isset($_GET['uz'])) {
				$uz = check($_GET['uz']);
			} else {
				$uz = "";
			}

		if ($uid == $_SESSION['token']) {
	        $data = DB::run()->queryFetch("SELECT * FROM `users` WHERE LOWER(`users_login`)=? OR LOWER(`users_nickname`)=? LIMIT 1;", array($uz, $uz));
	      if($data['users_login'] != $log) {
	        if(!empty($data)) {
				if (!is_contact($log, $data['users_login'])){
	            $new_frend_exst = DB::run()->querySingle("SELECT `contactnew_id` FROM `contactnew` WHERE `contactnew_user`=? AND `contactnew_name`=? LIMIT 1;", array($data['users_login'], $log));
	            if(empty($new_frend_exst)) {
	              $ignor_exst = DB::run()->querySingle("SELECT `ignore_id` FROM `ignore` WHERE `ignore_user`=? AND `ignore_name`=? LIMIT 1;", array($data['users_login'], $log));
	              if(empty($ignor_exst)) {
	                show_title('Предложение дружбы');
	                $config['newtitle'] = 'Предложение дружбы';
	                echo '* Пользователь <b><a href="/pages/user.php?uz='.$data['users_login'].'" target="_blank">'.nickname($data['users_login']).'</a></b> должен будет потвердить, что вы с ним друзья!<br /><br />';
	                echo '<div class="form"><form action="contact.php?act=add_ok&amp;uid='.$_SESSION['token'].'&amp;uz='.$data['users_login'].'" method="post">';
	                echo '<input type="radio" name="level" value="1" checked="checked" /> '.(($data['users_gender'] == 1) ? 'Друг' : 'Подруга').'<br />';
	                echo '<input type="radio" name="level" value="2" /> '.(($data['users_gender'] == 1) ? 'Лучший друг' : 'Лучшая продруга').'<br />';
	                echo '<input type="radio" name="level" value="3" /> '.(($data['users_gender'] == 1) ? 'Одноклассник' : 'Одноклассница').'<br />';
	                echo '<input type="radio" name="level" value="4" /> '.(($data['users_gender'] == 1) ? 'Однокурсник' : 'Однокурсница').'<br />';
	                echo '<input type="radio" name="level" value="5" /> Коллега<br />';
	                echo '<input type="radio" name="level" value="6" /> '.(($data['users_gender'] == 1) ? 'Брат' : 'Сестра').'<br />';
	                echo '<input type="radio" name="level" value="8" /> '.(($data['users_gender'] == 1) ? 'Супруг' : 'Супруга').'<br />';
	                echo '<input type="radio" name="level" value="9" /> Родственник<br /><br />';
	                echo 'Комментарий:<br /><textarea cols="25" rows="3" name="msg"></textarea><br /><br />';
	                echo '<input type="submit" value="Отправить заявку" />';
	                echo '</form></div>';
	              } else {
	                show_error('Ошибка! Данный пользователь занес вас в свой игнор-лист!');
	              }
	            } else {
	              show_error('Ошибка! Подобная заявка уже была отправлена данному пользователю!');
	            }
	          } else {
	            show_error('Ошибка! Данный пользователь уже есть в списке ваших друзей!');
	          }
	        } else {
	          show_error('Ошибка! Пользователя с данным логином не существует!');
	        }
	      } else {
	        show_error('Ошибка! Запрещено добавлять самого себя!');
	      }
		} else {
			show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
		}
	      echo '<img src="/images/img/reload.gif" alt="image" /> <a href="contact.php?">Мои друзья</a><br />';
	      break;
#############################################################
##                Добавление ...выполнение                 ##
#############################################################
	 case 'add_ok':
	 $level = abs(intval($_POST['level']));
	 $msg = check($_POST['msg']);
	 $uid = check($_GET['uid']);
	 if(isset($_GET['uz'])) {
	 	$uz = check($_GET['uz']);
	 	} else {$uz = "";}

	 if($uid == $_SESSION['token']) {
	 	if($uz != $log) {
	 		$data = DB::run()->queryFetch("SELECT * FROM `users` WHERE `users_login`=? LIMIT 1;", array($uz));
	       if(!empty($data)) {
	       	 $frend_exst = DB::run()->querySingle("SELECT `contact_id` FROM `contact` WHERE `contact_user`=? AND `contact_name`=? LIMIT 1;", array($log, $uz));
	       	 if(empty($frend_exst)) {
	       	 	$new_frend_exst = DB::run()->querySingle("SELECT `contactnew_id` FROM `contactnew` WHERE `contactnew_user`=? AND `contactnew_name`=? LIMIT 1;", array($uz, $log));
	          if(empty($new_frend_exst)) {
	          	$ignor_exst = DB::run()->querySingle("SELECT `ignore_id` FROM `ignore` WHERE `ignore_user`=? AND `ignore_name`=? LIMIT 1;", array($uz, $log));
	           if(empty($ignor_exst)) {
					if (utf_strlen($msg) < 1000) {
	            DB::run()->query("INSERT INTO `contactnew` (`contactnew_user`, `contactnew_name`, `contactnew_time`, `contactnew_message`, `contactnew_level`) VALUES (?, ?, ?, ?, ?);", array($uz, $log, SITETIME, $msg, $level));
	            DB::run() -> query("UPDATE `users` SET `users_newcontact`=`users_newcontact`+? WHERE `users_login`=? LIMIT 1", array(1, $uz));
								notice('Заявка успешно отправлена!');
								redirect("contact.php?act=proposals");
					} else {
						show_error('Ошибка! Слишком длинный текст комментария (не более 1000 символов)!');
					}
	            } else {
	            	show_error('Ошибка! Данный пользователь занес вас в свой игнор-лист!');
	            	}
	              } else {
	                show_error('Ошибка! Подобная заявка уже была отправлена данному пользователю!');
	              }
	            } else {
	              show_error('Ошибка! Данный пользователь уже есть в списке ваших друзей!');
	            }
	          } else {
	            show_error('Ошибка! Пользователя с данным логином не существует!');
	          }
	        } else {
	          show_error('Ошибка! Запрещено добавлять самого себя!');
	        }
	      } else {
	        show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
	      }
	      echo '<img src="/images/img/reload.gif" alt="image" /> <a href="contact.php?">Мои друзья</a><br />';
	      break;

#############################################################
##                           заявки                        ##
#############################################################
	    case 'bids':

	      show_title('Заявки');
	      $config['newtitle'] = 'Заявки';
		  if ($udata['users_newcontact'] > 0) {
			echo '<div class="note">К вам в друзья добавлялись: '.$udata['users_newcontact'].'.</div>';
			DB :: run() -> query("UPDATE `users` SET `users_newcontact`=? WHERE `users_login`=? LIMIT 1", array(0, $log));
			}
	      $total = DB::run()->querySingle("SELECT count(*) FROM `contactnew` WHERE `contactnew_user`=?;", array($log));
	      $total_proposals = DB::run()->querySingle("SELECT count(*) FROM `contactnew` WHERE `contactnew_name`=?;", array($log));
	      echo 'Заявки ('.$total.') | <a href="contact.php?act=proposals">Мои предложения</a> ('.$total_proposals.')<hr />';
	      if($total > 0) {
	        if($start >= $total) {
	          $start = 0;
	        }
	        $querybids = DB::run()->query("SELECT * FROM `contactnew` WHERE `contactnew_user`=? ORDER BY `contactnew_time` DESC LIMIT ".$start.", ".$config['contactlist'].";",array($log));
	        while($data = $querybids->fetch()) {
	          echo '<div class="b"><div class="img">'.user_avatars($data['contactnew_name']).'</div><b><a href="user.php?uz='.$data['contactnew_name'].'">'.nickname($data['contactnew_name']).'</a></b> <small>('.user_levelfrend($data['contactnew_name'], $data['contactnew_level']).')</small> '.user_online($data['contactnew_name']).'<br />'.user_title($data['contactnew_name']).'<br /> <small>('.date_fixed($data['contactnew_time']).')</small></div>';
	          if(!empty($data['contactnew_message'])) {
	            echo '<div><i><small>Комментарий заявки:</small></i><br />'.bb_code($data['contactnew_message']).'</div>';
	          }
	          echo '<a href="contact.php?act=add2&amp;uz='.$data['contactnew_name'].'&amp;uid='.$_SESSION['token'].'">Принять</a> | <a href="contact.php?act=add2_no&amp;uz='.$data['contactnew_name'].'&amp;uid='.$_SESSION['token'].'">Отклонить</a><br />';
	        }
	        page_strnavigation('contact.php?act=bids&amp;', $config['contactlist'], $start, $total);
	      } else {
	        show_error('Список заявок пуст!');
	      }
	      echo '<img src="/images/img/reload.gif" alt="image" /> <a href="contact.php?">Мои друзья</a><br />';
	      break;
#############################################################
##                      Мои предложения                    ##
#############################################################
	case 'proposals':

	show_title('Мои предложения');
	$config['newtitle'] = 'Мои предложения';
	 $total_bids = DB::run()->querySingle("SELECT count(*) FROM `contactnew` WHERE `contactnew_user`=?;", array($log));
	      $total = DB::run()->querySingle("SELECT count(*) FROM `contactnew` WHERE `contactnew_name`=?;", array($log));
	      echo '<a href="contact.php?act=bids">Заявки</a> ('.$total_bids.') | Мои предложения ('.$total.')<hr />';
	if($total > 0) {
		if($start >= $total) {
	          $start = 0;}
	 $queryproposals = DB::run()->query("SELECT * FROM `contactnew` WHERE `contactnew_name`=? ORDER BY `contactnew_time` DESC LIMIT ".$start.", ".$config['contactlist'].";", array($log));
	 while($data = $queryproposals->fetch()) {
	  echo '<div class="b"><div class="img">'.user_avatars($data['contactnew_user']).'</div><b><a href="user.php?uz='.$data['contactnew_user'].'">'.nickname($data['contactnew_user']).'</a></b> <small>('.user_levelfrend($data['contactnew_user'], $data['contactnew_level']).')</small> '.user_online($data['contactnew_user']).'<br />'.user_title($data['contactnew_user']).'<br /> <small>('.date_fixed($data['contactnew_time']).')</small></div>';
	   if(!empty($data['contactnew_message'])) {
	    echo '<div><i><small>Ваш комментарий:</small></i><br />'.bb_code($data['contactnew_message']).'</div>';}
	    echo '<a href="contact.php?act=del2&amp;uz='.$data['contactnew_user'].'&amp;uid='.$_SESSION['token'].'">Удалить</a><br />';
	        }
	 page_strnavigation('contact.php?act=bids&amp;', $config['contactlist'], $start, $total);
	 } else {show_error('Список предложений пуст!');}
	echo '<img src="/images/img/reload.gif" alt="image" /> <a href="contact.php?">Мои друзья</a><br />';
	      break;
#############################################################
##                  Подтверждение дружбы                   ##
#############################################################
  case 'add2':
  $uid = check($_GET['uid']);
  if(isset($_GET['uz'])) {
  	$uz = check($_GET['uz']);
  	} else { $uz = "";}
	if($uid == $_SESSION['token']) {
	  if($uz != $log) {
	    $data = DB::run()->queryFetch("SELECT * FROM `users` WHERE `users_login`=? LIMIT 1;", array($uz));
	    if(!empty($data)) {
	      $frend_exst = DB::run()->querySingle("SELECT `contact_id` FROM `contact` WHERE `contact_user`=? AND `contact_name`=? LIMIT 1;", array($log, $uz));
	       if(empty($frend_exst)) {
	          $ignor_exst = DB::run()->querySingle("SELECT `ignore_id` FROM `ignore` WHERE `ignore_user`=? AND `ignore_name`=? LIMIT 1;", array($uz, $log));
	        if(empty($ignor_exst)) {
	          $queryfrend = DB::run()->query("SELECT * FROM `contactnew` WHERE `contactnew_user`=? AND `contactnew_name`=? LIMIT 1;", array($log, $uz));
	          $datafrend = $queryfrend->fetch();
	          if(!empty($datafrend)) {
	           DB::run()->query("INSERT INTO `contact` (`contact_user`, `contact_name`, `contact_time`, `contact_level`) VALUES (?, ?, ?, ?);", array($uz, $log, SITETIME, $datafrend['contactnew_level']));
	           DB::run()->query("INSERT INTO `contact` (`contact_user`, `contact_name`, `contact_time`, `contact_level`) VALUES (?, ?, ?, ?);", array($log, $uz, SITETIME, $datafrend['contactnew_level']));
	           DB::run()->query("UPDATE `users` SET `users_newprivat`=`users_newprivat`+1 WHERE `users_login`=?", array($uz));
	            $textpriv = 'Пользователь [b]'.nickname($log).'[/b] подтвердил предложение дружбы с вами!';
	           DB::run()->query("INSERT INTO `inbox` (`inbox_user`, `inbox_author`, `inbox_text`, `inbox_time`) VALUES (?, ?, ?, ?);", array($uz, $log, $textpriv, SITETIME));
	           DB::run()->query("DELETE FROM `contactnew` WHERE `contactnew_user`=? AND `contactnew_name`=? LIMIT 1;", array($uz, $log));
	           DB::run()->query("DELETE FROM `contactnew` WHERE `contactnew_user`=? AND `contactnew_name`=? LIMIT 1;", array($log, $uz));
								notice('Пользователь успешно добавлен в список ваших друзей!');
								redirect("contact.php?");
	           } else {
				   show_error('Ошибка! Заявка необнаружена!');
			   }
	          } else {
				  show_error('Ошибка! Данный пользователь занес вас в свой игнор-лист!');
			}
	         } else { show_error('Ошибка! Данный пользователь уже есть в списке ваших друзей!');
	            }
	      } else { show_error('Ошибка! Пользователя с данным логином не существует!');
	          }
	   } else {show_error('Ошибка! Запрещено добавлять самого себя!');
	        }
	  } else { show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
	      }
	 echo '<img src="/images/img/reload.gif" alt="image" /> <a href="contact.php?">Мои друзья</a><br />';
	      break;
#############################################################
##                      Отказ в дружбе                     ##
#############################################################
  case 'add2_no':
   $uid = check($_GET['uid']);
   if(isset($_GET['uz'])) {
	 $uz = check($_GET['uz']);
	 } else { $uz = ""; }

  if($uid == $_SESSION['token']) {
  	$datafrend = DB::run()->queryFetch("SELECT * FROM `contactnew` WHERE `contactnew_user`=? AND `contactnew_name`=? LIMIT 1;",array($log,$uz));
	if(!empty($datafrend)) {
		DB::run()->query("UPDATE `users` SET `users_newprivat`=`users_newprivat`+1 WHERE `users_login`=?", array($uz));
	  $textpriv = 'Пользователь [b]'.nickname($log).'[/b] отклонил предложение дружбы с вами!';
	  DB::run()->query("INSERT INTO `inbox` (`inbox_user`, `inbox_author`, `inbox_text`, `inbox_time`) VALUES (?, ?, ?, ?);", array($uz, $log, $textpriv, SITETIME));
	 DB::run()->query("DELETE FROM `contactnew` WHERE `contactnew_user`=? AND `contactnew_name`=? LIMIT 1;", array($uz,$log));
	 DB::run()->query("DELETE FROM `contactnew` WHERE `contactnew_user`=? AND `contactnew_name`=? LIMIT 1;", array($log,$uz));
								notice('В предложении дружбы успешно отказано!');
								redirect("contact.php?");
	     } else {show_error('Ошибка! Заявка необнаружена!');}
	} else { show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');}
	      echo '<img src="/images/img/reload.gif" alt="image" /> <a href="contact.php?">Мои друзья</a><br />';
	      break;
#############################################################
##            Удаление предложений дружбы                  ##
#############################################################
	case 'del2':
	$uid = check($_GET['uid']);
	if(isset($_GET['uz'])) {
	  $uz = check($_GET['uz']);
	 } else {$uz = "";}

	if($uid == $_SESSION['token']) {
	  $datafrend = DB::run()->queryFetch("SELECT * FROM `contactnew` WHERE `contactnew_user`=? AND `contactnew_name`=? LIMIT 1;", array($uz, $log));

	   if(!empty($datafrend)) {
	     DB::run()->query("DELETE FROM `contactnew` WHERE `contactnew_user`=? AND `contactnew_name`=? LIMIT 1;", array($uz, $log));
		 
								notice('Предложение успешно удалено!');
								redirect("contact.php?act=proposals");
								
	    } else { 
			show_error('Ошибка! Предложение необнаружено!'); 
		}
	} else { 
	   	show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
	}
	echo '<img src="/images/img/reload.gif" alt="image" /> <a href="contact.php?">Мои друзья</a><br />';
	      break;
#############################################################
##                    Изменение заметки                    ##
#############################################################
		case 'note':

			if (isset($_GET['id'])) {
				$id = abs(intval($_GET['id']));
			} else {
				$id = 0;
			}

			if ($id > 0) {
				$data = DB::run() -> queryFetch("SELECT * FROM contact WHERE contact_id=? AND contact_user=? LIMIT 1;", array($id, $log));

				if (!empty($data)) {
					echo '<img src="/images/img/edit.gif" alt="image" /> Заметка для пользователя <b>'.nickname($data['contact_name']).'</b> '.user_online($data['contact_name']).':<br /><br />';

					echo '<div class="form">';
					echo '<form method="post" action="contact.php?act=editnote&amp;id='.$id.'&amp;start='.$start.'&amp;uid='.$_SESSION['token'].'">';
					echo 'Заметка:<br />';
					echo '<textarea cols="25" rows="5" name="msg">'.$data['contact_text'].'</textarea><br />';
					echo '<input value="Редактировать" name="do" type="submit" /></form></div><br />';
				} else {
					show_error('Ошибка редактирования заметки!');
				}
			} else {
				show_error('Ошибка! Не выбран пользователь для добавления заметки!');
			}

			echo '<img src="/images/img/back.gif" alt="image" /> <a href="contact.php?start='.$start.'">Вернуться</a><br />';
		break;

#############################################################
##                   Добавление заметки                    ##
#############################################################
		case 'editnote':
			$uid = check($_GET['uid']);
			$msg = check($_POST['msg']);
			if (isset($_GET['id'])) {
				$id = abs(intval($_GET['id']));
			} else {
				$id = 0;
			}

			if ($uid == $_SESSION['token']) {
				if ($id > 0) {
					if (utf_strlen($msg) < 1000) {
						DB::run() -> query("UPDATE contact SET contact_text=? WHERE contact_id=? AND contact_user=?;", array($msg, $id, $log));

						notice('Заметка успешно отредактирована!');
						redirect("contact.php?start=$start");

					} else {
						show_error('Ошибка! Слишком длинная заметка (не более 1000 символов)!');
					}
				} else {
					show_error('Ошибка! Не выбран пользователь для добавления заметки!');
				}
			} else {
				show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
			}

			echo '<img src="/images/img/back.gif" alt="image" /> <a href="contact.php?act=note&amp;id='.$id.'&amp;start='.$start.'">Вернуться</a><br />';
			echo '<img src="/images/img/reload.gif" alt="image" /> <a href="contact.php?start='.$start.'">К спискам</a><br />';
		break;

#############################################################
##                   Удаление из друзей                    ##
#############################################################
	case 'del':
	$uid = check($_GET['uid']);
	if(isset($_POST['del'])) {
	   $del = intar($_POST['del']);
	} else {
	        $del = 0;}

	 if($uid == $_SESSION['token']) {
	  if($del > 0) {
	    $del = implode(',',$del);
	   $querycontact = DB::run()->query("SELECT * FROM `contact` WHERE `contact_id` IN (".$del.") AND `contact_user`=?;", array($log));
	   while($data = $querycontact->fetch()) {
	     DB::run()->query("UPDATE `users` SET `users_newprivat`=`users_newprivat`+1 WHERE `users_login`=?", array($data['contact_name']));
	     $textpriv = 'Пользователь [b]'.nickname($log).'[/b] удалил вас из списка своих друзей!';
	     DB::run()->query("INSERT INTO `inbox` (`inbox_user`, `inbox_author`, `inbox_text`, `inbox_time`) VALUES (?, ?, ?, ?);", array($data['contact_name'], $log, $textpriv, SITETIME));
	     DB::run()->query("DELETE FROM `contact` WHERE `contact_user`=? AND `contact_name`=?;", array($data['contact_name'], $log));
	          }
	   DB::run()->query("DELETE FROM `contact` WHERE `contact_id` IN (".$del.") AND `contact_user`=?;", array($log));
								notice('Выбранные пользователи успешно удалены из списка ваших друзей!');
								redirect("contact.php?");
	   } else {show_error('Ошибка! Не выбраны пользователи для удаления!');}
	  } else {show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');}
	 echo '<img src="/images/img/reload.gif" alt="image" /> <a href="contact.php?">Мои друзья</a><br />';
	break;
#############################################################
##                 Очистка списка друзей                   ##
#############################################################
	    case 'clear':
	      $uid = check($_GET['uid']);
	if($uid == $_SESSION['token']) {
	   $querycontact = DB::run()->query("SELECT * FROM `contact` WHERE `contact_user`=?;", array($log));
	   while($data = $querycontact->fetch()) {
	      DB::run()->query("UPDATE `users` SET `users_newprivat`=`users_newprivat`+1 WHERE `users_login`=?", array($data['contact_name']));
	    $textpriv = 'Пользователь [b]'.nickname($log).'[/b] удалил вас из списка своих друзей!';
	     DB::run()->query("INSERT INTO `inbox` (`inbox_user`, `inbox_author`, `inbox_text`, `inbox_time`) VALUES (?, ?, ?, ?);", array( $data['contact_name'], $log, $textpriv, SITETIME));
	          DB::run()->query("DELETE FROM `contact` WHERE `contact_user`=? AND `contact_name`=?;", array($data['contact_name'], $log));
	        }
	  DB::run()->query("DELETE FROM `contact` WHERE `contact_user`=?;",array($log));
								notice('Список ваших друзей успешно очищен!');
								redirect("contact.php?");
	  } else { show_error('Ошибка! Неверный идентификатор сессии, повторите действие!'); }
	echo '<img src="/images/img/reload.gif" alt="image" /> <a href="contact.php?">Мои друзья</a><br />';
	break;
	
	default:
		redirect("contact.php");
	endswitch;
	
} else {
	show_login('Вы не авторизованы, для просмотра списка друзей, необходимо');
}

echo '<img src="/images/img/reload.gif" alt="image" /> <a href="index.php?act=menu">Личный кабинет</a><br />';

include_once ('../themes/footer.php');
?>